# List agents

Lists all agents/admins in an organization. It is possible to filter by one of the mutually exclusive parameters: email or phone number. In case both are provided, an error is returned.

Endpoint: GET /beta/agents
Version: beta
Security: ApiKeyAuth

## Query parameters:

  - `pageLimit` (integer)
    Maximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.

  - `pageKey` (string)
    Base64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.

  - `email` (string)
    The agent/admin email filter

  - `phone` (string)
    The agent/admin phone number filter

## Response 200 fields (application/json):

  - `data` (array)

  - `data.id` (string, required)
    Unique identifier for the agent

  - `data.createdAt` (string, required)
    Time when the agent was created

  - `data.displayName` (string, required)
    The agent's display name

  - `data.email` (string, required)
    The agent's primary email address

  - `data.avatarUrl` (string)
    The url from which to load the agent's avatar

  - `data.phoneNumber` (string)
    The agent's primary phone number

  - `data.additionalEmails` (array)
    Additional email addresses for the agent

  - `data.additionalPhoneNumbers` (array)
    Additional phone numbers for the agent

  - `data.firstName` (string)
    The agent's first name

  - `data.lastName` (string)
    The agent's last name

  - `data.middleNames` (array)
    The agent's middle names

  - `data.roles` (array)
    The agent's roles

  - `meta` (object)

  - `meta.previous` (string)
    url

  - `meta.next` (string)
    url

## Response 400 fields (application/json):

  - `message` (string, required)

## Response 404 fields (application/json):

  - `message` (string, required)

## Response 500 fields (application/json):

  - `message` (string, required)

